## ifhp 3.5.20

=== DISTRIBUTIONS/BSDI/Makefile ===
all:
check:
	cd ../..; configure; make clean all install
