=== DISTRIBUTIONS/Solaris.pkg/Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 PKG=ifhp
 PKG_NAME='ifhp Line Printer Filter'
 VENDOR='Patrick Powell <papowell@astart.com>'
-VERSION=3.5.7
+VERSION=3.5.20
 
 PREFIX=/usr
 FILTERDIR=/usr/libexec/filters
