=== debian/changelog ===
ifhp (3.5.20-13) unstable; urgency=medium

  [HIGUCHI Daisuke (VDR dai)]

  * QA upload.
  * Set the Maintainer field to Debian QA Group (see: #721055)
    Thanks Thomas Bushnell, BSG <tb@debian.org> for the previous works.

  [Andreas Moog]

  * Fix FTBFS with gcc4.8 by removing the warning about unused parameters 
    during compilation. (Closes: #701296)
    - Add -Wno-unused-parameter to CFLAGS
    - make $CFLAGS known to the build environment
  * Add patch from Ubuntu/Colin Watson to fix transposed arguments to memset 
    and to use Write_fd_str/Write_fd_len rather than plain write when writing
    the status file. (Closes: #592230)
  * Add build-arch and build-indep targets

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Fri, 09 May 2014 21:38:55 +0900

ifhp (3.5.20-12.1) unstable; urgency=low

  [Jari Aalto]
  * Non-maintainer upload.
    - Move to packaging format "3.0 (quilt)"
  * debian/changelog
    - Delete EOL whitespaces
  * debian/compat
    - Update to 7.
  * debian/control
    - (Build-Depends): update obsolete gs to ghostscript.
      (important; Closes: #539663).
      Update to debhelper 7.1.
    - (Homepage): Update to Freshmeat.
    - (Maintainer): Set to QA Group.
    - (Standards-Version): Update to 3.8.4.
  * debian/copyright
    - Fix lintian copyright-without-copyright-notice.
  * debian/doc-base
    - (Section): Update obsolete Printing to Office.
  * debian/patches
    - (Number 10): New. Fix syntax error; missing quote.
    - (Number 30): New. Pull out all Debian changes so far and Fix hp1100
      part of configuration file. Patch thanks to Holger Klawitter
      <lists@klawitter.de>. (Closes: #492685).
  * debian/{postinst,config}
    - Fix Lintian maintainer-script-ignores-errors.
  * debian/rules
    - (install): Update dh_clean to dh_prep.
  * debian/source/format
    - New file.

 -- Jari Aalto <jari.aalto@cante.net>  Mon, 17 May 2010 07:08:39 +0300

ifhp (3.5.20-12) unstable; urgency=low

  * debian/changelog (3.5.20-11): Wrap over-long line.

 -- Thomas Bushnell, BSG <tb@debian.org>  Mon, 21 Jan 2008 14:56:31 -0500

ifhp (3.5.20-11) unstable; urgency=low

  * debian/rules (clean): Don't ignore all errors on recursive make invocation.

  * debian/control (Standards-Version): Update to 3.7.3.  (No changes needed.)

  * debian/ifhp.lintian-overrides: New file.  Don't pay attention to
    no-debconf-templates.  Our debian/config file manages an upgrade issue
    but does not actually prompt the user.
  * debian/rules (install): And install it as
    /usr/share/lintian/overrides/ifhp.

  * debian/rules (install): Remove (empty) usr/bin directory.

 -- Thomas Bushnell, BSG <tb@debian.org>  Wed, 16 Jan 2008 16:00:48 -0500

ifhp (3.5.20-10) unstable; urgency=low

  * debian/po: Remove directory and all contents. (Closes: #407219)

 -- Thomas Bushnell, BSG <tb@debian.org>  Tue,  6 Feb 2007 11:41:09 -0800

ifhp (3.5.20-9) unstable; urgency=low

  * debian/control (Standards-Version): Update to 3.7.2.

  * debian/compat: Update to 5.

  * debian/templates: Remove file (only contained an inappropriate note).

 -- Thomas Bushnell, BSG <tb@debian.org>  Sun,  8 Oct 2006 18:05:49 -0700

ifhp (3.5.20-8) unstable; urgency=high

  * debian/rules (install): Use $(CURDIR) instead of $(PWD) because some
    archs refuse to set proper environment variables.  Thanks to Niko
    Tyni <ntyni@iki.fi> for the fix.  (Closes: #390383)

 -- Thomas Bushnell, BSG <tb@debian.org>  Sun,  1 Oct 2006 20:07:50 -0700

ifhp (3.5.20-7) unstable; urgency=low

  * src/plp_snprintf.c (fmtquad, fmtdouble): Don't use safestrlen for a
    known-safe constant value, to avoid GCC 4.2 warning that FTBFS with
    -Werror.  (Closes: #361576)

 -- Thomas Bushnell, BSG <tb@debian.org>  Mon, 11 Sep 2006 22:25:22 -0700

ifhp (3.5.20-6) unstable; urgency=low

  * debian/copyright: Don't include old maintainer's name as the current
    one.

  * debian/rules (configure): Specify correct Debian value for DEVFD, that
    is, /proc/self/fd/3.  (Closes: #222176)

  * debian/docs: Include pdf and html documentation.
  * debian/doc-base: New file.
  Patch from Andrey Mitrofanov <abme@rambler.ru>.  (Closes: #330499)

  * debian/README.Debian: Correct name of ifhp documentation file.
  Patch from Andrey Mitrofanov <abme@rambler.ru>.

  * ifhp.conf.in (hp6l hp1100): Specify better options.
  Patch from Brendan O'Dea <bod@debian.org>.  (Closes: #236567)

  * ifhp.conf.in (gs_ljet4): Don't comment out pcl_gs converter spec.
    (Closes: #257485)

  * src/ifhp.c (Send_job): When setting language from Use_file_util(),
    correctly test to see whether Use_file_util succeeded.  (Closes: #361576)

  * po/cs.po: New file, thanks to Martin \u0160ín <martin.sin@seznam.cz>
    (Closes: #315206)

  * po/sv.po: New file, thanks to Daniel Nylander <yeager@lidkoping.net>.
    (Closes: #331524)

 -- Thomas Bushnell, BSG <tb@debian.org>  Sun, 28 May 2006 22:05:22 -0700

ifhp (3.5.20-5) unstable; urgency=low

  * debian/control: Use ${misc:Depends} in place of explicit dependency on
    debconf.  (Closes: #331852)

 -- Thomas Bushnell, BSG <tb@debian.org>  Wed,  5 Oct 2005 00:06:41 -0700

ifhp (3.5.20-4) unstable; urgency=low

  * debian/control (Maintainer): Actually set myself as maintainer.
  Really (Closes: #323471)

 -- Thomas Bushnell, BSG <tb@debian.org>  Wed, 21 Sep 2005 13:50:12 -0700

ifhp (3.5.20-3) unstable; urgency=low

  * Adopt package.  (Closes: #323471)
  * Thanks for all your work, Jens.

 -- Thomas Bushnell, BSG <tb@debian.org>  Fri,  2 Sep 2005 15:31:39 -0700

ifhp (3.5.20-2) unstable; urgency=low

  * Removed obsolete doc-base entry (closes: Bug#308982).
  * Added the Vietnamese translation by Clytie Siddall (closes: Bug#311921).

 -- Jens Schmalzing <jensen@debian.org>  Sun, 12 Jun 2005 21:12:30 +0200

ifhp (3.5.20-1) unstable; urgency=low

  * New maintainer (closes: Bug#266467).
  * New upstream release.
  * Added build-time dependencies and suggestions for new features, namely

