=== debian/control ===
Source: ifhp
Maintainer: Debian QA Group <packages@qa.debian.org>
Section: net
Priority: extra
Standards-Version: 3.8.4
Build-Depends: debhelper (>= 7.1), file, a2ps, ghostscript, gettext, autotools-dev, po-debconf, libnet-snmp-perl, foomatic-filters

Package: ifhp
Architecture: any
Depends: file, a2ps, ghostscript, ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}
Recommends: lpr
Suggests: libnet-snmp-perl, foomatic-filters
Description: Printer filter for HP LaserJet printers
 ifhp is a highly versatile print filter for BSD based print spoolers.
 It can be configured to handle text, PostScript, PJL, PCL, and
 raster printers, supports conversion from one format to another,
 and can be used as a stand-alone print utility.  It is the primary
 supported print filter for the LPRng print spooler.
 .
 It provides access to printer features like duplex printing, paper tray
 selection and strong accounting using the printer's internal page counter.
