=== debian/rules ===
#! /usr/bin/make -f

CONFFLAGS=\
 --prefix=/usr\
 --mandir=/usr/share/man\
 --sysconfdir=/etc\
 --with-filterdir=/usr/lib/ifhp\
 --disable-gscheck

ifeq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
CFLAGS+=-g
endif
ifneq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
CONFFLAGS+=--disable-strip
endif

CFLAGS+=-Wno-unused-parameter

configure: configure-stamp
configure-stamp:
	dh_testdir
	cp -pf /usr/share/misc/config.sub /usr/share/misc/config.guess .
	DEVFD=/proc/self/fd/3 CFLAGS="$(CFLAGS)" ./configure $(CONFFLAGS) #
	touch $@

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: configure-stamp
	dh_testdir
	$(MAKE) LDFLAGS=$(LDFLAGS)
	touch $@

clean:
	dh_testdir
	dh_testroot
	dh_clean
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f intl/libintl.h
	rm -f configure-stamp build-stamp install-stamp
	rm -f gs_out
	rm -f config.log config.status

install: install-stamp
install-stamp:	build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/ifhp install
	# Remove the sample conf file and the UTILS directory (we install them via dh_installexamples)
	cd $(CURDIR)/debian/ifhp; rm -rf etc/ifhp.conf.sample usr/lib/ifhp/UTILS
	touch $@
	mkdir -p debian/ifhp/usr/share/lintian/overrides
	cp debian/ifhp.lintian-overrides debian/ifhp/usr/share/lintian/overrides/ifhp
	rmdir debian/ifhp/usr/bin

binary-indep: install

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGES
	dh_installexamples
	dh_installdocs
	dh_installdebconf
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary:	binary-indep binary-arch

.PHONY: configure build clean install binary-indep binary-arch binary
