=== debian/watch ===
version=2
opts=pasv ftp://ftp.lprng.org/pub/LPRng/ifhp/ifhp-([\d\.]*)\.tgz debian uupdate
