## ifhp 3.5.20+dfsg

=== debian/changelog ===
ifhp (3.5.20+dfsg-1) unstable; urgency=medium

  * Team upload
  * Drop non-free files
  * Drop unused Depends variable
  * d/copyright: Convert to machine-readable format
  * d/watch: Update to latest v5

 -- Bastian Germann <bage@debian.org>  Mon, 09 Feb 2026 08:39:09 +0100

ifhp (3.5.20-22) unstable; urgency=medium

  * debian/control: bump standard to 4.7.2 (no changes)
  * add gcc15.patch (Closes: #1096830)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 14 Sep 2025 10:33:20 +0200

ifhp (3.5.20-21) unstable; urgency=medium

  * new maintainer (Closes: #721055)
  * move to debian-printing team

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 27 Jan 2024 22:33:20 +0100

ifhp (3.5.20-19) unstable; urgency=medium

  * QA Upload.
  * Add options to configure to support cross-building
  * Ignore blhc failure due to -D_FORTIFY_SOURCE=2 in salsa-ci
  * Add comment in d/rules to justify configure option change

 -- Nilesh Patra <nilesh@debian.org>  Mon, 12 Jun 2023 23:53:08 +0530

ifhp (3.5.20-18) experimental; urgency=medium

  * QA upload.
  * Ran wrap-and-sort.
  * debian/clean: added to remove auto-generated file from the source tree not
    removed by the upstream build system.
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Added Vcs-* fields.
      - Bumped Standards-Version to 4.6.2.
  * debian/gbp.conf: added to provide minimal configuration for gbp.
  * debian/patches/100-fix-ftbfs-gcc11.patch: fixed FTBFS with GCC-11. (Closes:
    #984056)
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.

 -- David da Silva Polverari <david.polverari@gmail.com>  Sun, 02 Apr 2023 00:11:05 +0000

ifhp (3.5.20-17) unstable; urgency=medium

  * QA upload.
  * Fix ftbfs with GCC-10. (Closes: #957353)
  * Update Standards-Version to 4.5.0
    - Update priority to optional.
  * Use debhelper-compat.
    - Update compat level to 13.
    - Remove depedency on autotools-dev.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 11 Aug 2020 20:23:54 +0100

ifhp (3.5.20-16) unstable; urgency=medium

  * QA upload.
  * Fix FTBFS due to strncpy. Closes: #891556.

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 05 Aug 2018 12:44:49 +0200

ifhp (3.5.20-15) unstable; urgency=medium

  * QA upload.
  * Fix FTBFS due to -Werror and -Wimplicit-fallthrough. Closes: #853450.

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 22 Aug 2017 02:04:27 +0200

ifhp (3.5.20-14) unstable; urgency=medium

  [ Adam Borowski ]
  * QA upload.
  * Bump debhelper to 9.
  * Pass hardening flags.

  [ Miriam Ruiz ]
  * Added patch to make it buildable with GCC 6. Closes: #811591

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 04 Aug 2016 07:25:37 +0200
