=== debian/control ===
Source: ifhp
Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Section: net
Priority: optional
Standards-Version: 4.7.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/ifhp
Vcs-Git: https://salsa.debian.org/debian/ifhp.git
Build-Depends: a2ps,
               debhelper-compat (= 13),
               file,
               foomatic-filters,
               gettext,
               ghostscript,
               libnet-snmp-perl,
               po-debconf

Package: ifhp
Architecture: any
Depends: a2ps,
         file,
         ghostscript,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: lpr
Suggests: foomatic-filters, libnet-snmp-perl
Description: Printer filter for HP LaserJet printers
 ifhp is a highly versatile print filter for BSD based print spoolers.
 It can be configured to handle text, PostScript, PJL, PCL, and
 raster printers, supports conversion from one format to another,
 and can be used as a stand-alone print utility.  It is the primary
 supported print filter for the LPRng print spooler.
 .
 It provides access to printer features like duplex printing, paper tray
 selection and strong accounting using the printer's internal page counter.
