=== debian/watch ===
Version: 5

Source: ftp://ftp.lprng.org/pub/LPRng/ifhp/
Matching-Pattern: ifhp-([\d\.]*)\.tgz
Update-Script: uupdate
Repacksuffix: +dfsg
Dversion-Mangle: auto
